%define rname spank-private-tmp
Name:		slurm-%{rname}
Version:	0.2
Release:	1%{?dist}.1
Summary:	Slurm spank plugin to give each job private /tmp (and/or other dirs)
License:	Unknown

URL:		https://github.com/hpc2n/spank-private-tmp
# from github: 	https://github.com/hpc2n/spank-private-tmp/archive/master.zip
Source0:	%{rname}-master.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	slurm-devel
Requires:	slurm

%description
This is a SPANK plugin for Slurm to create a private /tmp for each job.

%prep
%setup -q -n %{rname}-master

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/slurm
install -m 755 private-tmpdir.so %{buildroot}%{_libdir}/slurm
ln -s private-tmpdir.so %{buildroot}%{_libdir}/slurm/hpc2n-tmpdir.so

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README plugstack.conf
%{_libdir}/slurm/private-tmpdir.so
%{_libdir}/slurm/hpc2n-tmpdir.so

%changelog
* Sun Nov 26 2017 Josko Plazonic <plazonic@princeton.edu> 0.2-1.sdl7.1
- update to new version offered as a patch on github project page

* Mon Oct 06 2014 Josko Plazonic <plazonic@princeton.edu> 0.1-1.sdl6.1
- initial build
